{
  "name": "@minidoc/processor",
  "version": "0.1.1",
  "description": "",
  "main": "./lib/index.js",
  "typings": "./lib/index.d.js",
  "files": [
    "lib"
  ],
  "publishConfig": {
    "@minidoc:registry": "https://gitlab.com/api/v4/projects/28684683/packages/npm/"
  },
  "scripts": {
    "build": "tsc -p tsconfig.json",
    "test": "JEST_JUNIT_ANCESTOR_SEPARATOR=\" › \" JEST_JUNIT_CLASSNAME=\"{classname}\" JEST_JUNIT_TITLE=\"{title}\" jest --collectCoverageFrom=src/**/*.ts",
    "lint": "eslint ./src --ext .ts",
    "lint-and-fix": "eslint ./src --ext .ts --fix",
    "pretest": "./node_modules/.bin/eslint ./src --ext .ts --fix"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.ts": [
      "./node_modules/.bin/eslint --fix",
      "git add"
    ]
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@babel/core": "^7.15.0",
    "@babel/preset-env": "^7.15.0",
    "@babel/preset-typescript": "^7.15.0",
    "@types/jest": "^27.0.1",
    "@types/node": "^7.0.5",
    "@types/showdown": "^1.9.4",
    "@typescript-eslint/eslint-plugin": "^4.29.2",
    "@typescript-eslint/parser": "^4.29.2",
    "babel-jest": "^27.0.1",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^3.4.0",
    "husky": "^4.3.8",
    "jest": "^27.0.1",
    "jest-html-reporter": "^3.4.1",
    "jest-junit": "^12.2.0",
    "lint-staged": "^11.1.2",
    "ts-jest": "^27.0.1",
    "typescript": "^4.3.5"
  },
  "dependencies": {
    "@minidoc/core": "^0.1.1"
  }
}
